Skip to content

Flexible Calculation

Retrieve calculation plans and their configurations for RFQs.

Get Calculation Plans by RFQ (v0 - unstable)

Request

Retrieve all flexible calculation plans associated with a given RFQ.

Note: This endpoint uses API version v0, which indicates an unstable contract. Breaking changes may be introduced without a version bump. Do not rely on the exact shape of the response for long-lived integrations until this is promoted to v1.

Security
BearerAuth
Path
rfq_idstringrequired

The ID of the RFQ.

Headers
Acceptstring(FlexibleCalculationAcceptHeader)required

Set this to application/api.luminovo.flexible-calculation-v0+json.

Value:"application/api.luminovo.flexible-calculation-v0+json"
GET
/flexible-calculation/plans/rfq/{rfq_id}
curl -i -X GET \
  'https://api.luminovo.com/flexible-calculation/plans/rfq/{rfq_id}' \
  -H 'Accept: application/api.luminovo.flexible-calculation-v0+json' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Successful response

Bodyapplication/json
Array [
idstring, (uuid)required
namestringrequired
rfq_idstring, (uuid)required
currencystringrequired
main_assemblystring, (uuid)required
scenariosArray of objects(types.flexible_calculation.v0.CalculationScenarioResponse)required
sectionsArray of objects(types.flexible_calculation.v0.CalculationPlanSectionResponse)required
frozenbooleanrequired
raw_templateanyrequired
selected_templatestringrequired
frozen_resultany
created_atstring, (date-time)required
updated_atstring, (date-time)required
]
Response
[ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "rfq_id": "6377a3cb-6a55-4ab1-a8e7-bf1376dffd7a", "currency": "string", "main_assembly": "f92366e6-9687-4f2f-a864-7c8fd6b7b354", "scenarios": [], "sections": [], "frozen": true, "raw_template": null, "selected_template": "string", "frozen_result": null, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" } ]